WP_oEmbed_Controller::get_proxy_item_permissions_check()publicWP 4.8.0

Checks if current user can make a proxy oEmbed request.

{} Это метод класса: WP_oEmbed_Controller{}

Хуков нет.

Возвращает

true|WP_Error. True if the request has read access, WP_Error object otherwise.

Использование

$WP_oEmbed_Controller = new WP_oEmbed_Controller();
$WP_oEmbed_Controller->get_proxy_item_permissions_check();

Список изменений

С версии 4.8.0 Введена.

Код WP_oEmbed_Controller::get_proxy_item_permissions_check() WP 6.0.2

public function get_proxy_item_permissions_check() {
	if ( ! current_user_can( 'edit_posts' ) ) {
		return new WP_Error( 'rest_forbidden', __( 'Sorry, you are not allowed to make proxied oEmbed requests.' ), array( 'status' => rest_authorization_required_code() ) );
	}
	return true;
}